From 3ea577fd810b0520dfc6dd5bf796ffca01af926b Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 15:06:09 +0200
Subject: [PATCH 05/15] Bump the debhelper compat level to 7 (dh_prep, dh_clean).

---
 debian/changelog |    3 +++
 debian/compat    |    2 +-
 debian/control   |    2 +-
 debian/rules     |    5 ++---
 4 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 05bdf06..562fb79 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -13,6 +13,9 @@ alex4 (1.1-4) UNRELEASED; urgency=low
   * Convert to the 3.0 (quilt) source format.
   * Add misc:Depends to the alex4-data package just in case.
   * Expand the alex4-data package's long description.
+  * Bump the debhelper compatibility level to 7:
+    - let dh_clean remove the *-stamp files
+    - use dh_prep instead of dh_clean -k
 
  -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
 
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..7f8f011 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+7
diff --git a/debian/control b/debian/control
index c8704e0..ff093e5 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Peter De Wachter <pdewacht@gmail.com>
-Build-Depends: debhelper (>= 5), liballegro4.2-dev (>= 2:4.2.2-2), libdumb1-dev, libaldmb1-dev
+Build-Depends: debhelper (>= 7), liballegro4.2-dev (>= 2:4.2.2-2), libdumb1-dev, libaldmb1-dev
 Standards-Version: 3.8.1
 Homepage: http://allegator.sourceforge.net/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alex4/
diff --git a/debian/rules b/debian/rules
index e9ef41c..b9caad6 100755
--- a/debian/rules
+++ b/debian/rules
@@ -22,7 +22,6 @@ build-indep:
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-arch-stamp build-indep-stamp
 	[ ! -f src/Makefile ] || $(MAKE) -C src clean
 	dh_clean
 
@@ -32,14 +31,14 @@ install: install-indep install-arch
 install-indep: build-indep
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
+	dh_prep -i
 	dh_installdirs -i
 	dh_install -i
 
 install-arch: build-arch
 	dh_testdir
 	dh_testroot
-	dh_clean -k -a
+	dh_prep -a
 	dh_installdirs -a
 	dh_install -a
 
-- 
1.7.2.3

